Subject: bug#13806: closed (Re: bug#13816: 24.3.50; turn-on-font-lock doesn't turn it on)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 Feb 2013 07:54:03 +0000

Your bug report

#13816: 24.3.50; No fontification in Info mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13816: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13816
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13816: 24.3.50; turn-on-font-lock doesn't turn it on
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Cc: Stefan Monnier <[email-masked]>
Date: Tue, 26 Feb 2013 16:51:10 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I confirmed it has been fixed on:

In GNU Emacs 24.3.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
 of 2013-02-26 on yamaoka-PC
Bzr revision: 111882 [email-masked]
Windowing system distributor `The Cygwin/X Project', version 11.0.11302000

Sorry for the noise.

Katsumi Yamaoka wrote:
> Stefan Monnier wrote:
>>> Recently turn-on-font-lock set to some hook turns font-lock
>>> on but turns it off immediately regardless of the value of
>>> global-font-lock-mode.  Here's a recipe:

>>> emacs -Q
>>> Eval: (add-hook 'emacs-lisp-mode-hook 'turn-on-font-lock)
>>> and visit some .el file.

>> Works fine on the trunk right now.  Can you confirm it was fixed if you
>> try a recent enough build?

> I build Emacs from the trunk almost everyday.  Now I use:

> In GNU Emacs 24.3.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
>  of 2013-02-26 on localhost
> Bzr revision: 111880 [email-masked]
> Windowing system distributor `The Cygwin/X Project', version 11.0.11302000
> Configured using:
>  `configure --verbose --with-x-toolkit=lucid --without-imagemagick
>  --without-dbus --without-gconf --without-gsettings'

> I've reverted the 111870 change because of bug#13818, though.

> According to my tracing of run-mode-hooks, it turns on font-lock
> but turns it off by the last line:

> (defun run-mode-hooks (&rest hooks)
> [...]
>     ;; ON
>     (apply 'run-hooks (cons 'change-major-mode-after-body-hook hooks))
>     ;; OFF
>     (run-hooks 'after-change-major-mode-hook)))

Subject: 24.3.50; No fontification in Info mode
From: Suvayu Ali <[email-masked]>
To: Emacs bug report <[email-masked]>
Date: Sun, 24 Feb 2013 23:43:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Emacs devs,

In Info mode, fontification is not happening.  Recipe to reproduce:

  $ emacs -nw -Q

Once inside emacs,

  1. C-h i
  2. TAB (to go to the first menu entry)
  3. M-x describe-face RET (you will see it is default)

I also tested this without no-window, I get the same issue.  Hopefully I
have provided enough information.  If you more info, let me know.

Cheers,

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.6.4)
 of 2013-02-22 on kuru.dyndns-at-home.com
System Description:	Fedora release 18 (Spherical Cow)

Configured using:
 `configure --prefix=/opt/emacs-lisp --with-selinux --with-imagemagick'

Important settings:
  value of $LANG: en_IN.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC [ > 8 3 ; 4 0 1 0 0 ; 0 c C-h i TAB ESC x d e s 
c r i b e - f a c e RET RET ESC x r e p o r TAB RE
T

Recent messages:
("emacs")
For information about GNU Emacs and the GNU system, type C-h C-a.
Composing main Info directory...done
Type C-x 1 to delete the help window, C-M-v to scroll help.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils help-fns help-mode crm thingatpt info easymenu
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind inotify
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)

-- 
Suvayu

Open source is the future. It sets us free.